Subject: Re: [tcpm] Increasing TCP's Initial Congestion Window

From: "Eddy, Wesley M. (GRC-MS00)[ASRC AEROSPACE CORP]" <[email-masked]>
Date: Fri, 3 Sep 2010 11:45:26 -0500

There hasn't been significant feedback on Jerry's note, so after
discussion between the chairs and authors, we're planning to set
the first milestone to determine the publication track to be after
the next 2 IETF meetings.

--
Wes Eddy
MTI Systems

>-----Original Message-----
>From: Jerry Chu [mailto:[email-masked]]
>Sent: Wednesday, August 18, 2010 2:12 AM
>To: Eddy, Wesley M. (GRC-MS00)[ASRC AEROSPACE CORP]
>Cc: Joe Touch; [email-masked]; Arvind Jain; Mathis; Nandita Dukkipati;
>Yuchung Cheng
>Subject: Re: [tcpm] Increasing TCP's Initial Congestion Window
>
>Hi Wes,
>
>Thanks for trying to move this forward quickly. The two-milestone
>approach
>sounds very reasonable to us. Regarding what the appropriate time line
>might be for the first milestone, I think this mostly depends on how
>many
>concerns we have successfully addressed vs how many still remaining.
>It also depends on how much help folks on this list are willing to
>provide
>to cover the remaining concerns.
>
>To answer the question it may help to recount what we've gotten so far:
>
>1. Results from a number of large scale experiments at Google's data
>centers presented at IETF/Anaheim.
>
>http://www.ietf.org/proceedings/77/slides/tcpm-4.pdf
>
>2. Details from the above published in A SIGCOMM CCR paper in July.
>
>http://ccr.sigcomm.org/online/?q=node/621
>
>3. "A Simulation Study on Increasing TCP's IW" presented at
>ICCRG/Maastricht by Ilpo Jarvinen on the effect of IW10 over wireless
>links.
>
>4. Some fairness study by Michael Scharf as part of his PhD thesis that
>was
>sent to the ICCRG list on 7/25/10.
>
>5. Results from another round of experiments plus a testbed study by us
>in
>an attempt to study and address concerns raised at Anaheim.
>
>http://www.ietf.org/proceedings/78/slides/iccrg-3.pdf
>
>Since our presentation was the last one at the ICCRG meeting and the
>meeting adjourned shortly after, plus it was the last day of the IETF
>week,
>we did not receive much feedback on how our data address, or even just
>partially alleviate the concern on how IW10 flows affect other flows
>with a
>smaller IW, for example. (There was some suggestion related to our
>testbed.
>But unfortunately we have lost our intern back to school so not much has
>been done since.)
>
>Thus it will be helpful if people can throw
>feedbacks/comments/suggestions
>at us now on our results so far so we can better sense where we are at
>right now and how much further we need to go to get to Proposed
>Standard.
>
>Thanks,
>
>Jerry
>
>On Tue, Aug 17, 2010 at 8:10 AM, Eddy, Wesley M. (GRC-MS00)[ASRC
>AEROSPACE CORP] <[email-masked]> wrote:
>>>-----Original Message-----
>>>From: Joe Touch [mailto:[email-masked]]
>>>Sent: Thursday, July 29, 2010 5:42 AM
>>>To: Eddy, Wesley M. (GRC-MS00)[ASRC AEROSPACE CORP]
>>>Cc: Nandita Dukkipati; [email-masked]; David Borman; Arvind Jain;
>Mathis;
>>>[email-masked]
>>>Subject: Re: [tcpm] Increasing TCP's Initial Congestion Window
>>>
>>>
>>>
>>>On 7/23/2010 12:37 PM, Eddy, Wesley M. (GRC-MS00)[ASRC AEROSPACE CORP]
>>>wrote:
>>>...
>>>> David and I just talked about this and propose to add a milestone to
>>>> the charter for late 2011, if the working group agrees, to publish
>>>> this document on increasing TCP's initial window, based on the large
>>>> amount of discussion both in the meetings and on the list.  If
>anyone
>>>> would object to this, please let us know in the next 2 weeks.
>>>>
>>>> One thing I still don't understand, is how we know that the intended
>>>> status for standards track is appropriate at this point ... from
>>>> talking to David it sounds like the working group can determine that
>>>> after deciding to adopt it, and we don't have to have it decided
>ahead
>>>> of time.
>>>
>>>I don't think that's appropriate process. We need to decide when we
>>>adopt an item what its intended status will be, IMO.
>>>
>>>Otherwise, it's too early to consider adopting it as a work item IMO.
>>>(that's not to say we can't continue to discuss it, though).
>>
>>
>> Hi Joe, I checked with Lars on the process question of whether we
>> can adopt documents with undetermined target status.  He indicated
>> that it would be reasonable to add a milestone to determine what
>> the appropriate level to publish the potential document at is,
>followed
>> by a milestone to actually publish the document a short time later.
>>
>> I propose that the first milestone to determine status between
>> Experimental and Proposed Standard could have a cutoff-date at which
>> time it would default to the lower option (Experimental) if there
>> isn't clear consensus and comfort with Proposed Standard at that time.
>> This assumes there were no problems discovered with deployment at that
>> level in the meantime.  If so, those problems would probably get
>> documented as Informational.  Experimental is an appropriate default
>> since it has nearly been deployed at that level already.
>>
>> The main question I have, and would like feedback from the authors and
>> the rest of the working group on, is how far ahead to set that first
>> milestone to determine status?  Do we need to think about this for a
>> year (i.e. 3 more meetings)?  Shorter?  Longer?  I would guess after
>> determining the publication track, we'd only spend a month touching up
>> the document and last calling it for the 2nd milestone to publish the
>> document.
>>
>> Any feedback on this would be appreciated.
>>
>> --
>> Wes Eddy
>> MTI Systems
>>
>> _______________________________________________
>> tcpm mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/tcpm
>>